Bug 533456 - /etc/openldap/ldap.conf provided by two packages
Summary: /etc/openldap/ldap.conf provided by two packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-06 19:25 UTC by Daniel Qarras
Modified: 2009-12-10 04:25 UTC (History)
1 user (show)

Fixed In Version: 2.4.19-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 04:25:10 UTC


Attachments (Terms of Use)

Description Daniel Qarras 2009-11-06 19:25:38 UTC
Description of problem:
openldap-clients.rpm provides all the LDAP related command line utilities like ldapwhoami and ldapsearch. These tools use the configuration file /etc/openldap/ldap.conf but it is provided by openldap-servers.rpm. To me it seems that no component in openldap-servers.rpm needs /etc/openldap/ldap.conf.

Please move /etc/openldap/ldap.conf from openldap-clients.rpm to openldap-servers.rpm.

Version-Release number of selected component (if applicable):
F12Beta

Comment 1 Daniel Qarras 2009-11-06 19:27:41 UTC
D'oh.. I of course meant to say:

Please move /etc/openldap/ldap.conf from openldap-servers.rpm to
openldap-clients.rpm.

Comment 2 Daniel Qarras 2009-11-06 19:32:58 UTC
Even more confusion.. /etc/openldap/ldap.conf is actually provided by both openldap and openldap-servers.

Please do not provide /etc/openldap/ldap.conf in openldap-servers.rpm.

Comment 3 Jan Zeleny 2009-11-09 10:22:36 UTC
This change makes no sense, because openldap-servers depends on openldap package, which contains ldap.conf as well. So if your point was to get rid of ldap.conf when client applications are not installed, removing it from openldap-servers is not going to work.

Comment 4 Daniel Qarras 2009-11-09 10:33:37 UTC
My point was just to drop duplication, ie, only openldap would provide it, not openldap-servers. I do not understand why two packages are proving the same configuration file (which the other one does not even use). Thanks.

Comment 5 Bug Zapper 2009-11-16 15:15:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2009-11-19 08:09:31 UTC
openldap-2.4.19-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openldap-2.4.19-1.fc12

Comment 7 Fedora Update System 2009-11-20 05:12:42 UTC
openldap-2.4.19-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11725

Comment 8 Fedora Update System 2009-12-10 04:24:51 UTC
openldap-2.4.19-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.